eglplatform.h File Reference
`#include <KHR/khrplatform.h>`
`#include <windows.h>`
Include dependency graph for eglplatform.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | EGLAPI KHRONOS_APICALL
#define | EGLAPIENTRY KHRONOS_APIENTRY
#define | EGLAPIENTRYP EGLAPIENTRY*
#define | WIN32_LEAN_AND_MEAN 1
#define | EGL_CAST(type, value) ((type) (value))

## Typedefs

typedef HDC | EGLNativeDisplayType
typedef HBITMAP | EGLNativePixmapType
typedef HWND | EGLNativeWindowType
typedef EGLNativeDisplayType | NativeDisplayType
typedef EGLNativePixmapType | NativePixmapType
typedef EGLNativeWindowType | NativeWindowType
typedef khronos_int32_t | EGLint

## Macro Definition Documentation

## EGL_CAST

#define EGL_CAST | ( |  | type,
|  |  | value
| ) |  | ((type) (value))

Definition at line 129 of file eglplatform.h.

## EGLAPI

#define EGLAPI KHRONOS_APICALL

Definition at line 50 of file eglplatform.h.

## EGLAPIENTRY

#define EGLAPIENTRY KHRONOS_APIENTRY

Definition at line 54 of file eglplatform.h.

## EGLAPIENTRYP

#define EGLAPIENTRYP EGLAPIENTRY*

Definition at line 56 of file eglplatform.h.

## WIN32_LEAN_AND_MEAN

#define WIN32_LEAN_AND_MEAN 1

Definition at line 72 of file eglplatform.h.

## Typedef Documentation

## EGLint

typedef EGLint

Definition at line 122 of file eglplatform.h.

## EGLNativeDisplayType

typedef HDC EGLNativeDisplayType

Definition at line 76 of file eglplatform.h.

## EGLNativePixmapType

typedef HBITMAP EGLNativePixmapType

Definition at line 77 of file eglplatform.h.

## EGLNativeWindowType

typedef HWND EGLNativeWindowType

Definition at line 78 of file eglplatform.h.

## NativeDisplayType

typedef EGLNativeDisplayType NativeDisplayType

Definition at line 110 of file eglplatform.h.

## NativePixmapType

typedef EGLNativePixmapType NativePixmapType

Definition at line 111 of file eglplatform.h.

## NativeWindowType

typedef EGLNativeWindowType NativeWindowType

Definition at line 112 of file eglplatform.h.